#include <bits/stdc++.h>

using namespace std;

int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int a, b, x, y;

    cin >> a >> b >> x >> y;

    if(a == x && b == y) { cout << "nijedan\n"; return 0; }
    if(x < a && b == y) { cout << "prvi\n"; return 0; }
    if(a == x && y < b) { cout << "drugi\n"; return 0; }
    cout << "?\n";

    return 0;
}